* [PATCH] btrfs/220: do not run async discard test on zoned device
@ 2023-08-18 2:03 Naohiro Aota
2023-08-18 10:30 ` Filipe Manana
0 siblings, 1 reply; 2+ messages in thread
From: Naohiro Aota @ 2023-08-18 2:03 UTC (permalink / raw)
To: fstests; +Cc: linux-btrfs, Naohiro Aota
The mount option "discard=async" is not meant to be used on the zoned mode.
Skip it from the test.
Signed-off-by: Naohiro Aota <naohiro.aota@wdc.com>
---
tests/btrfs/220 | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/tests/btrfs/220 b/tests/btrfs/220
index 30ca06f6038d..b092f40bc1e0 100755
--- a/tests/btrfs/220
+++ b/tests/btrfs/220
@@ -279,7 +279,9 @@ test_revertible_options()
test_should_fail "discard=invalid"
if [ "$enable_discard_sync" = true ]; then
test_roundtrip_mount "discard" "discard" "discard=sync" "discard"
- test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+ if ! _scratch_btrfs_is_zoned; then
+ test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+ fi
test_roundtrip_mount "discard=sync" "discard" "nodiscard" "$DEFAULT_NODISCARD_OPTS"
else
test_roundtrip_mount "discard" "discard" "discard" "discard"
--
2.41.0
^ permalink raw reply related [flat|nested] 2+ messages in thread
* Re: [PATCH] btrfs/220: do not run async discard test on zoned device
2023-08-18 2:03 [PATCH] btrfs/220: do not run async discard test on zoned device Naohiro Aota
@ 2023-08-18 10:30 ` Filipe Manana
0 siblings, 0 replies; 2+ messages in thread
From: Filipe Manana @ 2023-08-18 10:30 UTC (permalink / raw)
To: Naohiro Aota; +Cc: fstests, linux-btrfs
On Fri, Aug 18, 2023 at 11:03:25AM +0900, Naohiro Aota wrote:
> The mount option "discard=async" is not meant to be used on the zoned mode.
> Skip it from the test.
>
> Signed-off-by: Naohiro Aota <naohiro.aota@wdc.com>
Reviewed-by: Filipe Manana <fdmanana@suse.com>
Looks good, thanks.
> ---
> tests/btrfs/220 | 4 +++-
> 1 file changed, 3 insertions(+), 1 deletion(-)
>
> diff --git a/tests/btrfs/220 b/tests/btrfs/220
> index 30ca06f6038d..b092f40bc1e0 100755
> --- a/tests/btrfs/220
> +++ b/tests/btrfs/220
> @@ -279,7 +279,9 @@ test_revertible_options()
> test_should_fail "discard=invalid"
> if [ "$enable_discard_sync" = true ]; then
> test_roundtrip_mount "discard" "discard" "discard=sync" "discard"
> - test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
> + if ! _scratch_btrfs_is_zoned; then
> + test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
> + fi
> test_roundtrip_mount "discard=sync" "discard" "nodiscard" "$DEFAULT_NODISCARD_OPTS"
> else
> test_roundtrip_mount "discard" "discard" "discard" "discard"
> --
> 2.41.0
>
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2023-08-18 10:34 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-08-18 2:03 [PATCH] btrfs/220: do not run async discard test on zoned device Naohiro Aota
2023-08-18 10:30 ` Filipe Manana
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox